SDL_FillSurfaceRects(3)

NAME
SDL_FillSurfaceRects - Perform a fast fill of a set of rectangles with a specific color.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_FillSurfaceRects(SDL_Surface *dst, const SDL_Rect *rects, int count, Uint32 color);

DESCRIPTION

color should be a pixel of the format used by the surface, and can be generated by SDL_MapRGB() or SDL_MapRGBA(). If the color value contains an alpha component then the destination is simply filled with that alpha information, no blending takes place.

If there is a clip rectangle set on the destination (set via SDL_SetSurfaceClipRect()), then this function will fill based on the intersection of the clip rectangle and rect.

FUNCTION PARAMETERS

dst the SDL_Surface structure that is the drawing target.

rects
    an array of SDL_Rects representing the rectangles to fill.

count
    the number of rectangles in the array.

color
    the color to fill with.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function can be called on different threads with different surfaces.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_FillSurfaceRect(3)